View Issue Details

IDProjectCategoryView StatusLast Update
0002535unrealdocumentationpublic2010-11-15 17:14
ReporterDigeratiAssigned Tosyzop 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.2.9-RC1 
Summary0002535: Ban/TKL Exception Blocks Clarification
DescriptionSection 4.19: "The except ban block allows you to specify a user@host that will override a ban placed on a broader host..."

Section 4.20: "The except tkl block allows you to specify a user@host that will override a tkl ban placed on a broader host."

I suggest that section 4.19 be updated to be more clear on the purpose of this block. From what I understand, except ban overrides ban blocks in unrealircd.conf, and except tkl overrides tkl bans. It should be made clear that the except ban overrides blocks like the ban version, real name, etc. blocks.
TagsNo tags attached.
3rd party modules

Relationships

child of 0003776 resolvedsyzop Unreal3.2.9 TODO 

Activities

Digerati

2005-05-25 14:36

reporter   ~0009986

According to aquanight in #unreal-support:

(14:07:24) (@aquanight) Digerati: except ban also affects bans via /kline
(14:07:37) (@aquanight) and /zline

If this is true (which I assume it is), this definately needs to be explained more clearly in the docs, and the specific differences between except ban and except tkl need to be distinguished.

aquanight

2005-05-25 23:29

reporter   ~0009993

I think it can be basically explained like this:

except tkl is exception from any (or all) of: gline, qline (ban nick {} or tkl, interestingly enough (no unreal does not have a builtin way to add tkl local qlines)), gqline (or sqline if you prefer), shun, gzline.

except ban is exception from all of: kline, zline (ban user/ip {} or tkl).

There is no exempt from spamfilter (short of oper{}, although when the kline/zline/gline/gzline spamfilter actions are used the corresponding except blocks apply).

Yes, I think the docs should probably mention this all :P .

White_Magic

2005-06-06 08:16

reporter   ~0010047

so basically, add a ban exception block rather than a tkl with all the types :P

stskeeps

2007-04-27 06:42

reporter   ~0013877

Bump. Still an issue?

syzop

2010-07-14 17:38

administrator   ~0016176

I don't know if this has been documented already, but we fixed some stuff related to this in the source, see changelog. The docs must reflect the current behavior (both the stuff below, and the stuff in this bugreport above).

- except ban { } is now also effective against Z:lines. It already protected
  when the user was connected, but not once he/she tried to reconnect, this
  is now fixed. Reported several times, last by Stealth in 0003377.

syzop

2010-11-15 17:14

administrator   ~0016411

Fixed in .898:
- Clarified the difference between 'except ban' (which exempts from KLINE
  and ZLINE) and 'except tkl' (which can exempt from GLINE, GZLINE, SHUN,
  QLINE, GQLINE and SHUN). Reported by Digerati (0002535).
- Added except tkl::type 'all', which exempts from all TKL types (except
  KLINE).

Issue History

Date Modified Username Field Change
2005-05-25 14:26 Digerati New Issue
2005-05-25 14:36 Digerati Note Added: 0009986
2005-05-25 23:29 aquanight Note Added: 0009993
2005-06-06 08:16 White_Magic Note Added: 0010047
2007-04-27 06:42 stskeeps Note Added: 0013877
2007-04-27 06:42 stskeeps Status new => feedback
2010-07-14 17:36 syzop Relationship added child of 0003776
2010-07-14 17:38 syzop QA => Not touched yet by developer
2010-07-14 17:38 syzop U4: Need for upstream patch => No need for upstream InspIRCd patch
2010-07-14 17:38 syzop U4: Upstream notification of bug => Not decided
2010-07-14 17:38 syzop U4: Contributor working on this => None
2010-07-14 17:38 syzop Note Added: 0016176
2010-07-14 17:38 syzop Status feedback => acknowledged
2010-09-06 15:05 ohnobinki Status acknowledged => assigned
2010-09-06 15:05 ohnobinki Assigned To => ohnobinki
2010-11-15 16:54 syzop Assigned To ohnobinki => syzop
2010-11-15 17:14 syzop Note Added: 0016411
2010-11-15 17:14 syzop Status assigned => resolved
2010-11-15 17:14 syzop Fixed in Version => 3.2.9-RC1
2010-11-15 17:14 syzop Resolution open => fixed